Update Appointment Waitlist
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/appointment-waitlists/{appointmentWaitlist} \
--header 'Content-Type: application/json' \
--data '
{
"appointment_id": 123,
"desired_start_at": "<string>",
"notes": "<string>",
"meta": [
"<string>"
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/appointment-waitlists/{appointmentWaitlist}"
payload = {
"appointment_id": 123,
"desired_start_at": "<string>",
"notes": "<string>",
"meta": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appointment_id: 123,
desired_start_at: '<string>',
notes: '<string>',
meta: ['<string>']
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-waitlists/{appointmentWaitlist}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"appointment_definition_id": 123,
"profile_id": "<string>",
"profile": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
},
"location_id": 123,
"location": {
"id": "<string>",
"name": "<string>",
"handle": "<string>",
"timezone": "<string>"
},
"appointment_id": 123,
"status": "<string>",
"desired_start_at": "<string>",
"notes": "<string>",
"meta": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Appointment Waitlist
Update Appointment Waitlist
A PUT to the /appointment-waitlists/{appointmentWaitlistId} endpoint allows your application to update a specific appointment waitlist record.
PUT
/
v3
/
appointment-waitlists
/
{appointmentWaitlist}
Update Appointment Waitlist
Path Parameters
The appointment waitlist ID
Body
application/json
Response
AppointmentWaitlist
Show child attributes
Show child attributes
⌘I